security/p5-GnuPG-Interface - The NetBSD Packages Collection

Perl interface to GnuPG

GnuPG::Interface and its associated modules are designed to provide an
object-oriented method for interacting with GnuPG, being able to perform
functions such as but not limited to encrypting, signing, decryption,
verification, and key-listing parsing.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Moo devel/p5-MooX-late devel/p5-MooX-HandlesVia security/gnupg2 lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0earmv7hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0earmv7hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0i386p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0i386p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0i386p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0powerpcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0powerpcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0powerpcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0powerpcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 8.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0aarch64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0aarch64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0aarch64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0alphap5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0alphap5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0alphap5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv6hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv6hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv6hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv6hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv7hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv7hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv7hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv7hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0earmv7hfp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0i386p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0i386p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0i386p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0mips64ebp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0mips64ebp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0mips64ebp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0mipselp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0mipselp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0powerpcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0powerpcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0powerpcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0powerpcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0sh3elp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0sh3elp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0sparc64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0sparc64p5-GnuPG-Interface-1.00.tgz
NetBSD 9.0sparc64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0sparc64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0sparcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0sparcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0sparcp5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0x86_64p5-GnuPG-Interface-1.00nb1.tgz
NetBSD 9.0x86_64p5-GnuPG-Interface-1.00nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gnupg1
Use GNU Privacy Guard (GnuPG) Version 1.x
gnupg2
Use GNU Privacy Guard (GnuPG) Version 2.0

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.